#include "stdafx.h"
#include "XFileLoader.h"

#include "..\AssimpReader.h"

#include <LibQtGeoViewerCore/SceneMain.h>



GeomObject* XFileLoader::LoadGeom(SceneMain& scene, const std::string& filename)
{
	AssimpReader reader(geom::GeomFileFormat::Collada);
	return reader.LoadGeom(scene, filename);
}
